1 Reply Latest reply: Aug 24, 2012 4:58 AM by tad460915 RSS

    Problem Upgrading Zone

    SuperDupper
      I have recently upgraded a M4000 server with 4 zones from Solaris 10 Update 5 to Update 10.

      The environment did not want to create successful with live upgrade so I had to do a clean install of Solaris 10 Update on the system, import the zfs pools and perform a zoneadm -z <zonename> attach -U

      Three of the zones upgraded successfully but the fourth gave the following error.

      # zoneadm -z ctn8-zone attach -U
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWant 11.12.0,REV=2006.01.13.13.35.35 to version 11.10.0,REV=2005.01.08.05.16
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWiqjx, the source had patches but this system does not. Patches:
      125060-03
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWiqu, the source had patches but this system does not. Patches:
      125060-03
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWiquc, the source had patches but this system does not. Patches:
      125060-03
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWiqum, the source had patches but this system does not. Patches:
      125060-03
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWjaf 8.1,REV=2004.07.22.02.14 to version 8.0,REV=2004.04.23.09.07
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWjato 2.1.5,REV=2006.07.18.09.36 to version 2.1.2,REV=2005.01.09.23.05
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWjmail 8.1,REV=2004.10.17.18.54 to version 8.0,REV=2004.04.23.09.07
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWjss 4.2.4,REV=2006.11.16.20.40 to version 4.0,REV=2004.11.05.02.31
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWservicetagr 1.0,REV=2007.07.02.14.17 to version 1.0,REV=2007.05.21.20.36
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWservicetagu 1.0,REV=2007.07.02.14.17 to version 1.0,REV=2007.05.21.20.36
      zoneadm: zone 'ctn8-zone': ERROR: attempt to downgrade package SUNWstosreg 1.0,REV=2007.07.02.14.17 to version 1.0,REV=2007.05.21.20.36

      We had similar errors on the other zones but after installing the latest recommended patch cluster the 3 other zones upgraded.

      Any idea of a work around for this.
        • 1. Re: Problem Upgrading Zone
          tad460915
          one way is get the patch ids for the problematic package add patchid 143006 to /usr/lib/brand/native/bad_patches on the destination global zone.

          e.g.

          # echo 143006 >> /usr/lib/brand/native/bad_patches
          # tail /usr/lib/brand/native/bad_patches

          140235
          140703
          140704
          143004

          attach the zone , it shud work fine


          # zoneadm -z xxxxxx attach -u
          Getting the list of files to remove
          Removing 1568 files
          Remove 13 of 13 packages
          Installing 18014 files
          Add 340 of 340 packages
          Updating editable files
          The file </var/sadm/system/logs/update_log> within the zone contains a log of the zone update.
          #

          TaD1982